TooN: Operator< Internal::Scalars< P > > Struct Template Reference

TooN 2.0.0-beta8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes
Operator< Internal::Scalars< P > > Struct Template Reference
Inheritance diagram for Operator< Internal::Scalars< P > >:

List of all members.

## Public Member Functions
Constructors
| Operator (Precision s_)
| Operator ()
Operator members
template<int Size, typename P1 , typename B1 >
void | eval (Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
void | plusequals (Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
void | minusequals (Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
Operator < Internal::ScalarsVector < Size, P1, B1, Precision > > | add (const Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
Operator < Internal::ScalarsVector < Size, P1, B1, Precision > > | rsubtract (const Vector< Size, P1, B1 > &v) const
template<int Size, typename P1 , typename B1 >
Operator < Internal::ScalarsVector < Size, P1, B1, Precision > > | lsubtract (const Vector< Size, P1, B1 > &v) const
template<int Rows, int Cols, typename P1 , typename B1 >
void | eval (Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
void | plusequals (Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
void | minusequals (Matrix< Rows, Cols, P1, B1 > &m) const
template<int Rows, int Cols, typename P1 , typename B1 >
Operator < Internal::ScalarsMatrix < Rows, Cols, P1, B1, Precision > > | add (const Matrix< Rows, Cols, P1, B1 > &v) const
template<int Rows, int Cols, typename P1 , typename B1 >
Operator < Internal::ScalarsMatrix < Rows, Cols, P1, B1, typename Internal::NegType< P >::Type > > | rsubtract (const Matrix< Rows, Cols, P1, B1 > &v) const
template<int Rows, int Cols, typename P1 , typename B1 >
Operator < Internal::ScalarsMatrix < Rows, Cols, P1, B1, Precision > > | lsubtract (const Matrix< Rows, Cols, P1, B1 > &v) const
Sizeable operators members
Operator < Internal::SizedScalars < Precision > > | operator() (int size) const
Operator< Internal::RCScalars < Precision > > | operator() (int r, int c) const
## Public Attributes
const Precision | s
## Scalable operator members
typedef P | Precision
template<class Pout , class Pmult >
Operator< Internal::Scalars < Pout > > | scale_me (const Pmult &m) const

### template<class P>
struct TooN::Operator< Internal::Scalars< P > >